#pragma once

#include <QMainWindow>
#include <QLocalSocket>

namespace Ui {
class MainWindow;
}

/**
 * @brief Test client for auto trader server
 */
class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget* parent = nullptr);
    ~MainWindow();

private slots:
    void connectPressed();
    void sendPressed();
    void readData();

private:
    Ui::MainWindow* ui_;
    QLocalSocket socket_;
};
